- Qt 5.0
- Qt 5.0.0 Reference Documentation

# EmailReminder QML Type

The EmailReminder element contains information about an email reminder of an item. More...

Import Statement: | import QtOrganizer 5.0
Inherits: | Reminder

- List of all members, including inherited members

## Properties

- attachments : list<variant>
- body : string
- recipients : list<string>
- subject : string

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- EmailReminder.FieldRepetitionCount
- EmailReminder.FieldRepetitionDelay
- EmailReminder.FieldSecondsBeforeStart
- EmailReminder.FieldSubject
- EmailReminder.FieldBody
- EmailReminder.FieldRecipients
- EmailReminder.FieldAttachments

See also Reminder and QOrganizerItemEmailReminder.

## Property Documentation

attachments : list<variant>

This property holds the attachments of the email.

body : string

This property holds the body of the email.

recipients : list<string>

This property holds the list of recipients that the user wishes to be sent an email as part of the reminder.

subject : string

This property holds the subject of the email.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.